Get test case history
curl --request GET \
--url https://api.qa.tech/v1/run-test-case/{shortId}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qa.tech/v1/run-test-case/{shortId}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qa.tech/v1/run-test-case/{shortId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projectTestCaseId": "<string>",
"name": "<string>",
"total": 123,
"limit": 123,
"history": [
{
"runTestCaseShortId": "<string>",
"runShortId": "<string>",
"status": "<string>",
"result": "<string>",
"errorCode": "<string>",
"startedAt": "<string>",
"completedAt": "<string>",
"durationMs": 123,
"url": "<string>"
}
]
}Runs
Get test case history
Returns the recent pass/fail history and durations for the test case behind a run test case short ID, across its most recent runs — for flaky-vs-consistent analysis.
GET
/
v1
/
run-test-case
/
{shortId}
/
history
Get test case history
Path Parameters
Query Parameters
Show child attributes
Show child attributes
Response
200 - application/json
The request has succeeded.
Was this page helpful?
⌘I